<script setup>
import LayoutAuthModal from '@/layout/LayoutAuthModal.vue'
import { useRouter } from 'vue-router'

const router = useRouter()

const goToAuthLogin = () => {
  router.push({name: 'auth.login'})
}
</script>

<template>
  <LayoutAuthModal>
    <template #title>
      <h2>Register</h2>
    </template>
    <template #description>
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Esse laborum minima quo sint.</p>
    </template>
    <template #actions>
      <input class="button-base" type="text" placeholder="Username">
      <input class="button-base" type="password" placeholder="Password">
      <input class="button-base" type="password" placeholder="Confirm password">
      <button class="button-base button-primary">Register</button>
      <p @click="goToAuthLogin()">Go to login if you have an account !</p>
    </template>
  </LayoutAuthModal>
</template>
